View Issue Details

IDProjectCategoryView StatusLast Update
0017795mantisbtdocumentationpublic2016-08-15 09:02
Reporterboneill81Assigned Todregad 
PrioritylowSeveritytextReproducibilityalways
Status closedResolutionfixed 
PlatformApacheOSWindows ServerOS Version2008
Product Version1.2.17 
Target Version1.2.20Fixed in Version1.2.20 
Summary0017795: Bug in the processing code for email settings
Description

I had installed 1.2.17 and had attempted to configure the email settings using the settings listed below. However they would not work no matter what I tried. I verified that there were no firewall issues and that another sample script was sending email ok using the same connections settings.

$g_allow_signup = ON;
$g_enable_email_notification = ON;
$g_phpMailer_method = PHPMAILER_METHOD_SMTP;
$g_smtp_host = '192.168.1.150';
$g_smtp_port = 2506;
$g_from_email = 'mantis@mydomain.ie';
$g_administrator_email = 'admin@mydomain.ie';
$g_smtp_connection_mode = '';
$g_smtp_username = 'admin@mydomain.ie';
$g_smtp_password = 'password';

I was eventually able to track down the issue. The documentation says that when the smtp connection mode is set as follows "$g_smtp_connection_mode=''", the username and password should be ignored.

However this is not the case, even though the connection mode was set to '', the system kept reporting "SMTP Error: Could not authenticate."

As soon as I removed the username and password variables, the email sent fine.

$g_allow_signup = ON;
$g_enable_email_notification = ON;
$g_phpMailer_method = PHPMAILER_METHOD_SMTP;
$g_smtp_host = '192.168.1.150';
$g_smtp_port = 2506;
$g_from_email = 'mantis@mydomain.ie';
$g_administrator_email = 'admin@mydomain.ie';

Steps To Reproduce

See settings in description.

TagsNo tags attached.

Relationships

related to 0016629 closeddregad Behaviour change for SMTP server without authentication. Bug? 

Activities

boneill81

boneill81

2014-10-22 08:23

reporter   ~0041631

Last edited: 2014-10-22 08:23

View 2 revisions

My apologies, I just realised that the documentation states that if the username is not '' then it will be used. However it is perhaps still advisable that this be changed, how about changing it so that if the connection mode is set to '', then the username and password are not taken into account as I had thought to be the case. Thanks.

dregad

dregad

2014-10-22 19:29

developer   ~0041632

I'm not sure that the change you request makes sense, as the connection mode is independent from an authentication with username/password

Horinius

Horinius

2014-10-24 15:30

reporter   ~0041642

I'm sorry but I have to say that I'm sort of happy another user has also fallen into this pitfall. That means I'm not the only one who found the sentence ambiguous.

dregad

dregad

2015-02-03 16:22

developer   ~0048779

I updated the comment in config_defaults_inc.php as well as in the admin guide.

Related Changesets

MantisBT: master 10a049f7

2015-02-02 07:28:25

dregad

Details Diff
Improve SMTP options documentation

Amongst other changes, clarifies the fact that $g_smtp_username must be
set to '' when SMTP host does not need authentication.

Fixes 0016629, 0017795
mod - config_defaults_inc.php Diff File
mod - docbook/Admin_Guide/en-US/config/email.xml Diff File

MantisBT: master-1.2.x a4b8e39a

2015-02-02 07:28:25

dregad

Details Diff
Improve SMTP options documentation

Amongst other changes, clarifies the fact that $g_smtp_username must be
set to '' when SMTP host does not need authentication.

Fixes 0016629, 0017795
mod - config_defaults_inc.php Diff File
mod - docbook/administration_guide/en/configuration.sgml Diff File

Issue History

Date Modified Username Field Change
2014-10-22 08:19 boneill81 New Issue
2014-10-22 08:23 boneill81 Note Added: 0041631
2014-10-22 08:23 boneill81 Note Edited: 0041631 View Revisions
2014-10-22 19:24 dregad Priority high => low
2014-10-22 19:24 dregad Severity major => text
2014-10-22 19:24 dregad Status new => acknowledged
2014-10-22 19:24 dregad Category email => documentation
2014-10-22 19:29 dregad Note Added: 0041632
2014-10-22 19:29 dregad Status acknowledged => feedback
2014-10-22 19:42 dregad Relationship added related to 0016629
2014-10-24 15:30 Horinius Note Added: 0041642
2015-02-03 16:14 dregad Changeset attached => MantisBT master 10a049f7
2015-02-03 16:14 dregad Assigned To => dregad
2015-02-03 16:14 dregad Status feedback => resolved
2015-02-03 16:14 dregad Resolution open => fixed
2015-02-03 16:14 dregad Fixed in Version => 1.3.0-beta.2
2015-02-03 16:21 dregad Target Version => 1.3.0-beta.2
2015-02-03 16:22 dregad Note Added: 0048779
2015-02-03 16:36 dregad Changeset attached => MantisBT master-1.2.x a4b8e39a
2015-02-03 16:37 dregad Fixed in Version 1.3.0-beta.2 => 1.2.20
2015-02-03 16:38 dregad Target Version 1.3.0-beta.2 => 1.2.20
2016-08-15 09:02 dregad Status resolved => closed